Search
Search retrieves results by keyword with location and language support, including advanced Google SERP parameters.
- Discover relevant pages by keyword
- Target a region/language for more relevant results
- Use advanced SERP parameters for finer control
For details, see Search API Reference
Get keyword search results with XCrawl
/search endpoint
Usage
curl -s -X POST 'https://run.xcrawl.com/v1/search' -H 'Authorization: Bearer $XCRAWL_API_KEY' -H 'Content-Type: application/json' -d '{
"query": "site:docs.xcrawl.com XCrawl API",
"location": "US",
"language": "en",
"limit": 2
}'Response example
{
"search_id": "01KKE8BNMEKRHJB9GEWXPYQ8E1",
"endpoint": "search",
"version": "dca0d4b3bff035e4",
"status": "completed",
"query": "site:docs.xcrawl.com XCrawl API",
"data": {
"credits_used": 2,
"data": [
{
"position": 1,
"title": null,
"url": "https://docs.xcrawl.com/"
},
{
"position": 2,
"title": null,
"url": "https://docs.xcrawl.com/doc/developer-guides/authentication/"
}
],
"status": "success"
},
"started_at": "",
"ended_at": "",
"total_credits_used": 2
}